// EEPROM backup tool 64k and 4k so far
// Thanks to Brian for the "non girlie" work
// Thanks to SATA for fixing the EEPROM code!


#include <nds.h>
#include <nds/arm9/console.h>
#include "arm9_main.h"
#include "menu.h"


void mainMenu(void);

int main(void)
{
    videoSetMode(MODE_FB1); //sets unused display to a black background mode
    videoSetModeSub(MODE_0_2D | DISPLAY_BG0_ACTIVE); // sub display to show text
    vramSetBankC(VRAM_C_SUB_BG);
    SUB_BG0_CR = BG_MAP_BASE(31);
    BG_PALETTE_SUB[255] = RGB15(31,31,31);

    consoleInitDefault((u16*)SCREEN_BASE_BLOCK_SUB(31), (u16*)CHAR_BASE_BLOCK_SUB(0), 16);
    lcdSwap();

    consoleClear();

    while (1)
    {
        mainMenu();
    }
    return 0;
}
