/*
	cardme by SaTa. 2005/09/16
	for Public Domain
	
*/

#include <nds.h>
#include <string.h>

void cardmeReadEeprom(u32 address, u8 *data, u32 length, u32 addrtype);
void cardmeWriteEeprom(u32 address, u8 *data, u32 length, u32 addrtype);
int cardmeChipErase(void);	//	USE TO TYPE 3 FLASH MEMORY ONLY

int cardmeGetType(void);	//
/*
 -1:no card
  0:unknown
  1:TYPE 1  4Kbit(512Byte)  EEPROM
  2:TYPE 2 64Kbit(8KByte)   EEPROM
  3:TYPE 3  2Mbit(256KByte) FLASH MEMORY
*/
int cardmeSize(int tp);
/*
	tp:1~3
	return:size (byte)
*/
u8 cardmeReadID(int i) ;	//	don't work ??
u8 cardmeCMD(u8 cmd,int address) ;
