void on_irq_vblank(void);

/*  NOTES
    void* memset(void*, int, size_t)
    void memset(char*, char, int)
    static void mymemset(char* dest, char fill, int size) 

    void* memcpy(void*, const void*, size_t)
    void memcpy(char*, const char*, int)
    static void mymemcpy(char* dest, char const* src, int size) 

    / Copy from SRAM to our local variable to display /
    mymemcpy(sram_data, (char*)SRAM, sizeof(sram_data) - 1);

    / Copy a string of text to SRAM /
    const char text[] = "Hello from SRAM!";
    mymemcpy((char*)SRAM, text, sizeof(text));

*/
